Bug 891762 - (CVE-2012-2139) CVE-2012-2139 rubygem-mail: directory traversal
CVE-2012-2139 rubygem-mail: directory traversal
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120314,reported=2...
: Security
Depends On: 816355 854444 854446 854447 857074 995681
Blocks: 816354 836071 892883
  Show dependency treegraph
 
Reported: 2013-01-03 17:32 EST by Kurt Seifried
Modified: 2014-03-15 00:01 EDT (History)
10 users (show)

See Also:
Fixed In Version: rubgem-mail 2.4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 00:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-01-03 17:32:57 EST
A flaw was corrected in rubygem-mail version 2.4.4:

A file system traversal in file_delivery method [1].

[1] https://github.com/mikel/mail/commit/29aca25218e4c82991400eb9b0c933626aefc98f
Comment 1 Tomas Hoger 2013-01-04 02:45:06 EST
This was previously tracked via bug 816352 along with CVE-2012-2140.  The bug was split as explained in bug 816352, comment 13.

Note You need to log in before you can comment on or make changes to this bug.